--- a/src/browsers/CollectionTreeItemModelBase.cpp
+++ b/src/browsers/CollectionTreeItemModelBase.cpp
@@ -480,7 +480,7 @@ CollectionTreeItemModelBase::mimeData( c
         return 0;
 
     // first, filter out duplicate entries that may arise when both parent and child are selected
-    QSet<QModelIndex> indexSet = QSet<QModelIndex>::fromList( indices );
+    QSet<QModelIndex> indexSet( indices.begin(), indices.end() );
     QMutableSetIterator<QModelIndex> it( indexSet );
     while( it.hasNext() )
     {
--- a/src/core-impl/collections/ipodcollection/IpodMeta.cpp
+++ b/src/core-impl/collections/ipodcollection/IpodMeta.cpp
@@ -735,7 +735,7 @@ Track::commitIfInNonBatchUpdate()
         return;
 
     if( AmarokConfig::writeBackStatistics() ||
-        !(QSet<qint64>::fromList( m_changedFields.keys() ) - statFields).isEmpty() )
+        !(QSet<qint64>( m_changedFields.keys().begin(), m_changedFields.keys().end() ) - statFields).isEmpty() )
     {
         setModifyDate( QDateTime::currentDateTime() );
     }
--- a/src/core-impl/meta/file/File.cpp
+++ b/src/core-impl/meta/file/File.cpp
@@ -581,7 +581,7 @@ Track::commitIfInNonBatchUpdate()
 
     // special case (shortcut) when writing statistics is disabled
     if( !AmarokConfig::writeBackStatistics() &&
-        (QSet<qint64>::fromList( d->changes.keys() ) - statFields).isEmpty() )
+        (QSet<qint64>( d->changes.keys().begin(), d->changes.keys().end() ) - statFields).isEmpty() )
     {
         d->changes.clear();
         return;
--- a/src/core/collections/CollectionLocation.cpp
+++ b/src/core/collections/CollectionLocation.cpp
@@ -681,8 +681,8 @@ CollectionLocation::removeSourceTracks(
         debug() << "transfer error for track" << track->playableUrl();
     }
 
-    QSet<Meta::TrackPtr> toRemove = QSet<Meta::TrackPtr>::fromList( tracks );
-    QSet<Meta::TrackPtr> errored = QSet<Meta::TrackPtr>::fromList( m_tracksWithError.keys() );
+    QSet<Meta::TrackPtr> toRemove(tracks.begin(), tracks.end());
+    QSet<Meta::TrackPtr> errored(m_tracksWithError.keys().begin(), m_tracksWithError.keys().end());
     toRemove.subtract( errored );
 
     // start the remove workflow
